import styled from 'styled-components';
import { ButtonType } from '../../types';
export var SessionsCountBox = styled.div.withConfig({ displayName: "SessionsCountBox", componentId: "sc-1s72w4x" })({
    flexBasis: 0,
    flexShrink: 1,
    flexGrow: 1,
    borderRadius: '0',
    position: 'relative',
    padding: '18px',
    display: 'flex',
    alignItems: 'center',
    justifyContent: 'center',
}, function (_a) {
    var theme = _a.theme, btnType = _a.btnType;
    var backgroundColor = theme.colors.secondary.hover;
    if (btnType === ButtonType.primary) {
        backgroundColor = theme.colors.secondary.default;
    }
    else if (btnType === ButtonType.tertiary) {
        backgroundColor = theme.greyscale.light;
    }
    return {
        backgroundColor: backgroundColor,
        color: btnType === ButtonType.tertiary
            ? theme.colors.primary.dark
            : theme.colors.white.default,
        '& > .ButtonInfo': {
            transition: "0.2s filter, 0.2s opacity",
        },
        '&:hover > .ButtonInfo': {
            filter: "blur(4px)",
            opacity: 0.75,
        },
    };
});
